%define the_version 0.0.20191212
%define the_release 2

Name      : systemd-named-netns
Version   : %{the_version}
Release   : %{the_release}%{?dist}
Summary   : Provides a way to set up and run services within network namespaces
License   : GPLv3
URL       : https://github.com/jms1voalte/systemd-named-netns

BuildArch : noarch

Requires  : iproute

%description
Provides systemd unit files which make it possible to set up network namespaces
and run services within them.

Original repo: https://github.com/Jamesits/systemd-named-netns
Modified repo: https://github.com/jms1voalte/systemd-named-netns

%prep
git clone file:///home/build/src systemd-named-netns
cd systemd-named-netns
echo "built $( date -u )" > VERSION
echo "commit $( git rev-parse HEAD )" >> VERSION
git remote -v >> VERSION

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/{usr/lib/systemd/system,etc/default,usr/bin,usr/sbin,usr/share/doc/%{name}-%{version}}
cd systemd-named-netns
install -m 0644 services/*        %{buildroot}/usr/lib/systemd/system/
install -m 0644 configs/*         %{buildroot}/etc/default/
install -m 0755 scripts/chnetns   %{buildroot}/usr/bin/
install -m 0755 scripts/netnsinit %{buildroot}/usr/sbin/
install -m 0644 LICENSE README.md VERSION %{buildroot}/usr/share/doc/%{name}-%{version}/

%clean
rm -rf systemd-named-netns %{buildroot}

%post
systemctl daemon-reload || true

%preun
systemctl disable --now "netns-tunnel@" || true
systemctl disable --now "netns-bridge@" || true
systemctl disable --now "netns-nat@"    || true
systemctl disable --now "netns@"        || true

%files
%defattr(-,root,root)
%config /etc/default/netns
%doc /usr/share/doc/%{name}-%{version}
/usr/bin/chnetns
/usr/sbin/netnsinit
/usr/lib/systemd/system/netns@.service
/usr/lib/systemd/system/netns-bridge@.service
/usr/lib/systemd/system/netns-nat@.service
/usr/lib/systemd/system/netns-tunnel@.service
